using WF_WebAdmin.Model;

namespace WF_WebAdmin.Converter
{
    public class QuoteExtension
    {
        public QuoteDTO QuoteToDTO(Quote q)
        {
            QuoteDTO quote = new QuoteDTO(q.Id, q.Content, q.Like, q.Langue, null,null, null,q.Charac,null,q.TitleSrc,q.DateSrc,null,q.UserProposition,null,q.ImgPath);
            return quote;
        }

        public Quote DTOToQuote(QuoteDTO q)
        {
            Quote quote = new Quote(q.Id, q.Content,q.NameCharac,q.ImgPath,q.TitleSrc,q.DateSrc,q.Likes,q.Langue,q.NameUser);
            return quote;
        }
    }
}
